org.springframework.ldap.core.support

## Class AggregateDirContextProcessor

- java.lang.Object
- - org.springframework.ldap.core.support.AggregateDirContextProcessor

- All Implemented Interfaces:
    DirContextProcessor

      public class AggregateDirContextProcessor
      extends Object
      implements DirContextProcessor

  Manages a sequence of `DirContextProcessor` instances. Applies `preProcess(DirContext)` and `postProcess(DirContext)` respectively in sequence on the managed objects.
  Author:
    Mattias Hellborg Arthursson, Ulrik Sandberg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateDirContextProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDirContextProcessor(DirContextProcessor processor)` Add the supplied DirContextProcessor to the list of managed objects.
    `List<DirContextProcessor>` | `getDirContextProcessors()` Get the list of managed `DirContextProcessor` instances.
    `void` | `postProcess(DirContext ctx)` Perform post-processing on the supplied `DirContext`.
    `void` | `preProcess(DirContext ctx)` Perform pre-processing on the supplied DirContext.
    `void` | `setDirContextProcessors(List<DirContextProcessor> dirContextProcessors)` Set the list of managed `DirContextProcessor` instances.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateDirContextProcessor

          public AggregateDirContextProcessor()

  - ### Method Detail

    - #### addDirContextProcessor

          public void addDirContextProcessor(DirContextProcessor processor)

      Add the supplied DirContextProcessor to the list of managed objects.
      Parameters:
        `processor` - the DirContextpProcessor to add.

    - #### getDirContextProcessors

          public List<DirContextProcessor> getDirContextProcessors()

      Get the list of managed `DirContextProcessor` instances.
      Returns:
        the managed list of `DirContextProcessor` instances.

    - #### setDirContextProcessors

          public void setDirContextProcessors(List<DirContextProcessor> dirContextProcessors)

      Set the list of managed `DirContextProcessor` instances.
      Parameters:
        `dirContextProcessors` - the list of `DirContextProcessor` instances to set.

    - #### preProcess

          public void preProcess(DirContext ctx)
                          throws NamingException

      Description copied from interface: `DirContextProcessor`
      Perform pre-processing on the supplied DirContext.
      Specified by:
        `preProcess` in interface `DirContextProcessor`
      Parameters:
        `ctx` - the `DirContext` instance.
      Throws:
        `NamingException` - if thrown by the underlying operation.

    - #### postProcess

          public void postProcess(DirContext ctx)
                           throws NamingException

      Description copied from interface: `DirContextProcessor`
      Perform post-processing on the supplied `DirContext`.
      Specified by:
        `postProcess` in interface `DirContextProcessor`
      Parameters:
        `ctx` - the `DirContext` instance.
      Throws:
        `NamingException` - if thrown by the underlying operation.